org.wildfly.swarm.jolokia

## Class JolokiaFraction

- java.lang.Object
- - org.wildfly.swarm.jolokia.JolokiaFraction

- All Implemented Interfaces:
    Fraction<JolokiaFraction>

      public class JolokiaFraction
      extends Object
      implements Fraction<JolokiaFraction>

  Author:
    Bob McWhirter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JolokiaFraction()`
    `JolokiaFraction(String context)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `context()`
    `JolokiaFraction` | `context(String context)`
    `static Consumer<Archive>` | `jolokiaAccess(Consumer<JolokiaAccess> config)`
    `static Consumer<Archive>` | `jolokiaAccess(Supplier<JolokiaAccess> supplier)`
    `static Consumer<Archive>` | `jolokiaAccessXml(File file)`
    `static Consumer<Archive>` | `jolokiaAccessXml(URL url)`
    `Consumer<Archive>` | `jolokiaWarPreparer()`
    `JolokiaFraction` | `prepareJolokiaWar(Consumer<Archive> jolokiaWarPreparer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### JolokiaFraction

          public JolokiaFraction()

    - #### JolokiaFraction

          public JolokiaFraction(String context)

  - ### Method Detail

    - #### context

          public JolokiaFraction context(String context)

    - #### context

          public String context()

    - #### prepareJolokiaWar

          public JolokiaFraction prepareJolokiaWar(Consumer<Archive> jolokiaWarPreparer)

    - #### jolokiaWarPreparer

          public Consumer<Archive> jolokiaWarPreparer()

    - #### jolokiaAccessXml

          public static Consumer<Archive> jolokiaAccessXml(File file)

    - #### jolokiaAccessXml

          public static Consumer<Archive> jolokiaAccessXml(URL url)

    - #### jolokiaAccess

          public static Consumer<Archive> jolokiaAccess(Consumer<JolokiaAccess> config)

    - #### jolokiaAccess

          public static Consumer<Archive> jolokiaAccess(Supplier<JolokiaAccess> supplier)

Copyright © 2017 JBoss by Red Hat. All rights reserved.